Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 634964 - bootstrap-rap.sh fails with md-unwind-support.h dereferencing pointer to incomplete type on Archlinux with gcc 7.2.0
Summary: bootstrap-rap.sh fails with md-unwind-support.h dereferencing pointer to inco...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-21 10:01 UTC by Johannes Markert
Modified: 2017-11-30 02:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Markert 2017-10-21 10:01:22 UTC
During stage2 the bootstrap-rap.sh fails with md-unwind-support.h dereferencing pointer to incomplete type on Archlinux with gcc 7.2.0:

http://uni-koeln.de/~jmarker2/gentoo/prefix/archlinux/rap/build.log
http://uni-koeln.de/~jmarker2/gentoo/prefix/archlinux/rap/environment
http://uni-koeln.de/~jmarker2/gentoo/prefix/archlinux/rap/gcc-build-logs.tar.bz2

Additionally, pod2man cannot be found as shown in build.log:

build.log-21088-perl /mnt/data/gentoo-rap/tmp/var/tmp/portage/sys-devel/gcc-6.4.0/work/gcc-6.4.0/gcc/../contrib/texi2pod.pl /mnt/data/gentoo-rap/tmp/var/tmp/portage/sys-devel/gcc-6.4.0/work/gcc-6.4.0/gcc/doc/invoke.texi > gcc.pod
build.log-21089-echo timestamp > doc/gcc.1
build.log:21090:(pod2man --center="GNU" --release="gcc-6.4.0" --date=2017-07-04 --section=1 gcc.pod > doc/gcc.1.T$$ && \
build.log-21091-	mv -f doc/gcc.1.T$$ doc/gcc.1) || \
build.log-21092-	(rm -f doc/gcc.1.T$$ && exit 1)
build.log:21093:/mnt/data/gentoo-rap/tmp/bin/bash: pod2man: command not found
build.log-21094-make[2]: [Makefile:3139: doc/gcc.1] Error 1 (ignored)
build.log-21095-cp doc/gcc.1 doc/g++.1
Comment 1 Benda Xu gentoo-dev 2017-11-08 04:42:04 UTC
Thanks Johannes.  On my list.
Comment 2 Benda Xu gentoo-dev 2017-11-30 02:24:13 UTC
Hi Johannes,

Problem fixed.

Please try again with the latest bootstrap script in a empty directory.

Benda